LINUX.ORG.RU

GLX и Radeon 9600


0

0

Tuxracer выдает мне: === Xlib: extension "GLX" missing on display ":0.0". Xlib: extension "GLX" missing on display ":0.0". *** tuxracer error: Couldn't initialize video: Couldn't find matching GLX visual === Я понимаю, что проблема в glx. Но в XF86Config написано: === Section "Module"

# This loads the DBE extension module.

Load "dbe" # Double buffer extension

# This loads the miscellaneous extensions module, and disables # initialisation of the XFree86-DGA extension within that module. SubSection "extmod" Option "omit xfree86-dga" # don't initialise the DGA extension EndSubSection

# This loads the Type1 and FreeType font modules Load "type1" Load "freetype"

# This loads the GLX module Load "glx" # libglx.a Load "dri" # libdri.a

EndSection === как я понимаю glx грузится

часть лога: === XFree86 Version 4.3.0 (Custom Build: 4.3.0-42) Release Date: 15 August 2003 X Protocol Version 11, Revision 0, Release 6.6 Build Operating System: Linux 2.4.20-9aspsmp i686 [ELF] Build Date: 10 December 2003 Build Host: ws163.outpost.sw.ru

...

(II) LoadModule: "glx" (II) Loading /usr/X11R6/lib/modules/extensions/libglx.so (II) Module glx: vendor="NVIDIA Corporation" compiled for 4.0.2, module version = 1.0.4496 Module class: XFree86 Server Extension ABI class: XFree86 Server Extension, version 0.1 (II) Loading extension GLX (II) LoadModule: "dri" (II) Loading /usr/X11R6/lib/modules/extensions/libdri.a (II) Module dri: vendor="The XFree86 Project" compiled for 4.3.0, module version = 1.0.0 ABI class: XFree86 Server Extension, version 0.2 (II) Loading sub module "drm" (II) LoadModule: "drm" (II) Loading /usr/X11R6/lib/modules/linux/libdrm.a (II) Module drm: vendor="The XFree86 Project" compiled for 4.3.0, module version = 1.0.0 ABI class: XFree86 Server Extension, version 0.2 (II) Loading extension XFree86-DRI (II) LoadModule: "fglrx" (II) Loading /usr/X11R6/lib/modules/drivers/fglrx_drv.o (II) Module fglrx: vendor="Fire GL - ATI Research GmbH, Germany" compiled for 4.3.0.1, module version = 3.7.6 Module class: XFree86 Video Driver ABI class: XFree86 Video Driver, version 0.6

...

(II) fglrx(0): Acceleration enabled (II) fglrx(0): Direct rendering disabled (II) Loading extension FGLRXEXTENSION (II) Loading extension ATITVOUT (==) RandR enabled Symbol __glXActiveScreens from module /usr/X11R6/lib/modules/extensions/libdri.a is unresolved! Symbol __glXActiveScreens from module /usr/X11R6/lib/modules/extensions/libdri.a is unresolved! Symbol __glXActiveScreens from module /usr/X11R6/lib/modules/drivers/fglrx_drv.o is unresolved! (II) Setting vga for screen 0. (II) Initializing built-in extension MIT-SHM (II) Initializing built-in extension XInputExtension (II) Initializing built-in extension XTEST (II) Initializing built-in extension XKEYBOARD (II) Initializing built-in extension LBX (II) Initializing built-in extension XC-APPGROUP (II) Initializing built-in extension SECURITY (II) Initializing built-in extension XINERAMA (II) Initializing built-in extension XFree86-Bigfont (II) Initializing built-in extension RENDER (II) Initializing built-in extension RANDR (EE) [GLX]: Failed to add GLX extension (NVIDIA XFree86 driver not found) === так в чем проблема?


Re: GLX и Radeon 9600

Все. Заработало.

HoBBuT ()

Re: GLX и Radeon 9600

dri

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.